% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_gof.R
\name{get_gof}
\alias{get_gof}
\title{Extract goodness-of-fit statistics a tidy format.}
\usage{
get_gof(model, gof_function = NULL, vcov_type = NULL, ...)
}
\arguments{
\item{model}{a single model object}

\item{gof_function}{function which accepts a model object in the \code{model} argument and returns a 1-row \code{data.frame} with one custom goodness-of-fit statistic per column.}

\item{vcov_type}{string vcov type to add at the bottom of the table}

\item{...}{all other arguments are passed through to three functions. See the documentation of these functions for lists of available arguments.
\itemize{
\item \link[parameters:model_parameters]{parameters::model_parameters} extracts parameter estimates. Available arguments depend on model type, but include:
\itemize{
\item \code{standardize}, \code{include_reference}, \code{centrality}, \code{dispersion}, \code{test}, \code{ci_method}, \code{prior}, \code{diagnostic}, \code{rope_range}, \code{power}, \code{cluster}, etc.
}
\item \link[performance:model_performance]{performance::model_performance} extracts goodness-of-fit statistics. Available arguments depend on model type, but include:
\itemize{
\item \code{metrics}, \code{estimator}, etc.
}
\item \link[tinytable:tt]{tinytable::tt}, \link[kableExtra:kbl]{kableExtra::kbl} or \link[gt:gt]{gt::gt} draw tables, depending on the value of the \code{output} argument.
}}
}
\description{
A unified approach to extract results from a wide variety of models. For
some models \code{get_gof} attaches useful attributes to the output. You
can access this information by calling the \code{attributes} function:
\code{attributes(get_estimates(model))}
}
